MySQL++: mysqlpp::GuessConnectionOption Class Reference
mysqlpp::GuessConnectionOption Class Reference

Allow C API to guess what kind of connection to use. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::GuessConnectionOption:
[legend]
Collaboration diagram for mysqlpp::GuessConnectionOption:
[legend]

## Additional Inherited Members

Public Types inherited from mysqlpp::Option
enum | Error { err_NONE , err_api_limit , err_api_reject , err_connected , err_disconnected }
| Types of option setting errors we can diagnose. More...
Public Member Functions inherited from mysqlpp::Option
virtual | ~Option ()
| Destroy object.
virtual Error | set (DBDriver *dbd)=0
| Apply option.

## Detailed Description

Allow C API to guess what kind of connection to use.

This is the default. The option exists to override UseEmbeddedConnectionOption and UseEmbeddedConnectionOption.

The documentation for this class was generated from the following file:

- options.h